## cod-tools 2.1+dfsg

=== data/AtomProperties/Makefile ===
include Makeconf

.INTERMEDIATE: ${PARTS}

MODULE_NAME      ?= AtomProperties
YAML_MODULE       = modules/${MODULE_NAME}.yaml
PERL_MODULE      ?= modules/${MODULE_NAME}.pm
NAMESPACE_PREFIX ?= COD::
NAMESPACE        ?= ${NAMESPACE_PREFIX}${MODULE_NAME}

all: ${PERL_MODULE} ${YAML_MODULE}

${PERL_MODULE}: ${PARTS} ${PATCHES}
	grep -h -P "#(Source|Descrp)" $^ > $@
	bin/atom_properties_merge --no-fill-missing $^ -p -n ${NAMESPACE} -o >> $@

${YAML_MODULE}: ${PARTS} ${PATCHES}
	grep -h -P "#(Source|Descrp)" $^ > $@
	bin/atom_properties_merge --no-fill-missing $^ -y -o >> $@

core.yaml:
	${CORE_DIR}/core ${CORE_DIR}/input.yaml > $@

cov.yaml:
	${COV_DIR}/covalent_radii ${COV_DIR}/input.yaml > $@

vdw.yaml:
	${VDW_DIR}/vdw_radii ${VDW_DIR}/input.yaml > $@

spin.yaml:
	${SPIN_DIR}/spin_state_radii ${SPIN_DIR}/input.yaml > $@

oxi.yaml:
	${OXI_DIR}/oxidation_states ${OXI_DIR}/input.yaml > $@

val.yaml:
	${VAL_DIR}/valence ${VAL_DIR}/input.yaml > $@

clean:
	rm -rf ${PARTS}

distclean cleanAll:
	rm -rf ${PARTS} ${PERL_MODULE} ${YAML_MODULE}

=== src/components/codcif/Makefile ===
#---*- Makefile -*-------------------------------------------------------------
#$Author: saulius $
#$Revision: 5246 $
#$Date: 2017-05-10 20:30:16 +0300 (Wed, 10 May 2017) $
#$URL: svn://www.crystallography.net/cod-tools/tags/v2.1/src/components/codcif/Makefile $
#------------------------------------------------------------------------------

MAKECONF_FILES = ${filter-out %~, ${wildcard Makeconf*}}

ifneq ("${MAKECONF_FILES}","")
include ${MAKECONF_FILES}
endif

#
# ${SRC_DIR} contains C sources to be compiled into the
# local library ${LOCAL_LIB}
#

ifeq ("${SRC_DIR}","")
SRC_DIR = .
endif

#
# ${OBJDIR} is where the compiled object files should be stored
#

OBJDIR = ./obj

#
# GEN_DIR will contain any .c and .h files that are automatically
# generated by scripts or makefiles
#

GEN_DIR = ./generated

#
# Each .c file in the ./programs/ directory is considered to be a source
# for some main program (i.e. contains main() function).  It will be
# compiled and linked with all .c files in directories specified by
# the OTHER_DIRS variable. OTHER_DIRS should be defined in the
# Makeconf file in each directory.
#

PROGDIR    = ${SRC_DIR}/programs
PRG_FILES  = ${wildcard ${PROGDIR}/*.c}
EXE_FILES  = ${patsubst %.c, %, ${notdir ${PRG_FILES}}}
PRG_SOURCE = ${notdir ${PRG_FILES}}
PRG_DIRS   = ${dir ${PRG_FILES}}
PRG_DEPEND = ${join ${PRG_DIRS}, ${PRG_SOURCE:%.c=.%.d}}

# The header file that holds version number of the package:

VERSION_H = version.h

#
# The first program (alphabetically) in the ./programs directory is a
# main executable (target). It will be run for every file in ./inputs
# when 'make test' is invoked.
#

TARGET = ${firstword ${EXE_FILES}}

#
# All .c files in the current directory will be compiled and the object
# files put into the local library; the library in the directory
# 'dir' will be called 'libdir.a'
#

LOCAL_CFILES := ${notdir ${wildcard ${SRC_DIR}/*.c}}
LOCAL_CFILES := ${filter-out %.tab.c lex.yy.c %.lex.c, ${LOCAL_CFILES}}
LOCAL_OBJS    = ${LOCAL_CFILES:%.c=${OBJDIR}/%.o} ${wildcard %.lex.o %.tab.o}
LOCAL_DEPENDS = ${LOCAL_CFILES:%.c=.%.d}

LOCAL_LIB := ${addprefix lib/lib, ${addsuffix .a, ${notdir ${shell pwd}} }}

#
# ./testprogs directory contains test drivers, each of them containing
# main() program that must be linked with all .o files from all .c
# sources from ${OTHER_DIRS}.
#
# Each test driver will then be run without arguments, and its output
# will be compared with the sample output in ./testout directory
#

TST_PRG_DIR  = ./testprogs
TST_EXE_DIR  = ./testbin

TST_SOURCES   = ${wildcard ${TST_PRG_DIR}/*.c}
TST_DRIVERS   = ${patsubst %.c, ${TST_EXE_DIR}/%, ${notdir ${TST_SOURCES}}}
TST_BASENAMES = ${notdir ${TST_SOURCES}}
TST_DIRS      = ${dir ${TST_SOURCES}}
TST_DEPEND    = ${join ${TST_DIRS}, ${TST_BASENAMES:%.c=.%.d}}

#
# All other .c files will be compiled to objects in the current
# directory, and used for linking
#

vpath %.c ${SRC_DIR} ${OTHER_DIRS}
vpath %.h ${SRC_DIR} ${OTHER_DIRS}

VPATH = ${OTHER_DIRS}

OTHER_CFILES := ${notdir ${wildcard ${addsuffix /*.c, ${OTHER_DIRS}}}}
OTHER_CFILES := ${filter-out %.tab.c lex.yy.c %.lex.c, ${OTHER_CFILES}}
OTHER_OBJS    = ${OTHER_CFILES:%.c=${OBJDIR}/%.o}
OTHER_DEPENDS = ${OTHER_CFILES:%.c=.%.d}

DEPEND_FILES = ${LOCAL_DEPENDS} ${OTHER_DEPENDS} ${PRG_DEPEND} ${TST_DEPEND}
DEL_OBJS     = ${LOCAL_OBJS} ${OTHER_OBJS}

#------------------------------------------------------------------------------
#
# Executables:
#

CC    = gcc
CCVER = ${CC} --version
GCC   = gcc
YACC  = bison -y
FLEX  = flex

INCLUDES = ${sort -I. ${addprefix -I, ${SRC_DIR} ${OTHER_DIRS} ${LIB_DIRS}}}

## LDFLAGS  = ${addprefix -L, ${sort ${LIB_DIRS}}}
## LIBFLAGS = ${addprefix -l, ${LIB_NAMES}}

## LDFLAGS  = -L/usr/local/lib
## LIBFLAGS = -lm

SVN_VERSION := $(shell svnversion)

ifeq (${CC},gcc)
    CFLAGS = -Wall -g ${OPTFLAGS} -DYYDEBUG=1 -D_YACC_ ${INCLUDES} -fPIC \
	-DSVN_VERSION="\"${SVN_VERSION}\"" \
	${EXTRA_CFLAGS}
else
    CFLAGS = ${OPTFLAGS} -DYYDEBUG=1 -D_YACC_ ${INCLUDES} \
	-DSVN_VERSION="\"${SVN_VERSION}\"" \
	${EXTRA_CFLAGS}
endif

#------------------------------------------------------------------------------

FLEXFILES = ${wildcard *.flex}
FLEXOBJ   = ${FLEXFILES:%.flex=%.lex.o}

YYFILES = ${wildcard *.y}
YYOBJ   = ${YYFILES:%.y=%.tab.o}

LINK_OBJ_FILES = ${YYOBJ} ${FLEXOBJ} ${OTHER_OBJS}

#------------------------------------------------------------------------------

.PRECIOUS: %.o %.c %.lex.c %.tab.c %.a

.PHONY: all lib libs clean distclean cleanAll FORCE

all: ${LOCAL_LIB} ${EXE_FILES} ${TST_DRIVERS}

lib libs: ${LIB_DIRS}

${LIB_DIRS}: FORCE
	${MAKE} -C $@

FORCE:;

#------------------------------------------------------------------------------

# ${LIB_DIRS} variable contains a list of directories, each of them
# containing a library that must be linked with programs in the
# current directory. The library in the directory 'dir' must be called
# 'dir/libdir.a'. We assume that the 'dir' directory contains a Makefile
# to build a corresponding library, and simply do 'make -C dir libdir.a'
# if the library does not exist. If the library exists, we will use
# whatever it contains, without checking its dependencies. To build the
# up-to-date libraries in ${LB_DIRS} directories use 'make libs' command.
# We omit the check of library dependencies just for speed; if the library
# is actively changed and must be constantly recompiled, one should use
# ${OTHER_DIRS} variable to include the *.c files of that directory
# into the compilation list.

LIB_NAMES := ${notdir ${LIB_DIRS}}
LIB_FILES := ${addprefix /lib/lib, ${addsuffix .a, ${LIB_NAMES} }}
LIB_FILES := ${join ${LIB_DIRS}, ${LIB_FILES} }

%.a:
	${MAKE} -C $(dir $(patsubst %/,%,$(dir $@))) \
		$(notdir $(patsubst %/,%,$(dir $@)))/$(notdir $@)

#------------------------------------------------------------------------------
#
# How to build library in the current directory
#

${LOCAL_LIB}: ${LOCAL_OBJS} ${YYOBJ} ${FLEXOBJ}
	ar cr ${LOCAL_LIB} $^

#------------------------------------------------------------------------------

MAKELOCAL_FILES = ${filter-out %~, ${wildcard Makelocal*}}

ifneq ("${MAKELOCAL_FILES}","")
include ${MAKELOCAL_FILES}
endif

include ${DEPEND_FILES}

.%.d: %.c
	${GCC} ${CFLAGS} -M -MG \
	$< | sed -e 's,^${notdir $*}.o:,${OBJDIR}/$*.o:,' > $@

#------------------------------------------------------------------------------

${OBJDIR}/%.o: %.c
	${CC} ${CFLAGS} -c $< -o $@

%: ${PROGDIR}/%.c ${LINK_OBJ_FILES} ${LOCAL_LIB} ${LIB_FILES} ${VERSION_H}
	${CC} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LIBFLAGS}

${TST_EXE_DIR}/%: ${TST_PRG_DIR}/%.c ${LINK_OBJ_FILES} \
                  ${LOCAL_LIB} ${LIB_FILES}
	${CC} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LIBFLAGS}

%.lex.c: %.flex
	${FLEX} -d $<
	mv lex.yy.c $*.lex.c

%.tab.c %.tab.h: %.y 
	${YACC} -v -d -p ${*:%_grammar=%} $<
	test -f y.tab.c  && mv y.tab.c $*.tab.c   ; true
	test -f y.tab.h  && mv y.tab.h $*.tab.h   ; true
	test -f y.output && mv y.output $*.output ; true

#------------------------------------------------------------------------------

# When 'make test' is invoked, a TARGET executable will be run for
# every file in inputs that has extension ${EXT}. The outputs will be
# compared with the sample outputs files in ./outputs/*.out, and any
# differences will be recorded in ./outputs/*.diff #

TEST_DIR = ./tests
OUTPUT_DIR = ./outputs

TEST_FILES = ${wildcard ${TEST_DIR}/*${EXT}}
RES_FILES  = ${patsubst ${TEST_DIR}/%${EXT},${OUTPUT_DIR}/%.out,${TEST_FILES}}
DIFF_FILES = ${patsubst ${TEST_DIR}/%${EXT},${OUTPUT_DIR}/%.diff,${TEST_FILES}}

#
# Outputs and diffs from the standalone test drivers
#

TST_OUT_DIR = ./testout

TST_OUTPUTS = ${addprefix ${TST_OUT_DIR}/, ${TST_BASENAMES:%.c=%.out}}
TST_DIFFS   = ${addprefix ${TST_OUT_DIR}/, ${TST_BASENAMES:%.c=%.diff}}

#
# Outputs and tests from the shell-driven tests
#

SHELL_TSTDIR = ./tests
SHELL_OUTDIR = ./outputs

SHELL_TESTS   = ${wildcard ${SHELL_TSTDIR}/*.sh}
SHELL_BASES   = ${notdir ${SHELL_TESTS}}
SHELL_OUTPUTS = ${addprefix ${SHELL_OUTDIR}/, ${SHELL_BASES:%.sh=%.out}}
SHELL_DIFFS   = ${addprefix ${SHELL_OUTDIR}/, ${SHELL_BASES:%.sh=%.diff}}

#------------------------------------------------------------------------------

.PHONY: out outputs test

out outputs: ${RES_FILES} ${TST_OUTPUTS}

test: ${DIFF_FILES} ${TST_DIFFS}

${RES_FILES}: ${EXE_FILES}
${DIFF_FILES}: ${EXE_FILES}

${OUTPUT_DIR}/%.diff: ${TEST_DIR}/%${EXT} ${TEST_DIR}/%${OPT_EXT}
	-@printf "%-30s " "$*:" ; \
	./$(shell echo $* | sed -e 's/_[0-9]*$$//') ${TEST_OPTIONS} \
		${TEST_OPTIONS} \
		$(shell grep -v '^#' ${word 2, $^}) \
		$< 2>&1 \
	| diff ${OUTPUT_DIR}/$*.out - > $@ ; \
	if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

${OUTPUT_DIR}/%.out: ${TEST_DIR}/%${EXT} ${TEST_DIR}/%${OPT_EXT}
	-@test -f $@ || echo "$@:"
	-@test -f $@ || \
	./$(shell echo $* | sed -e 's/_[0-9]*$$//') \
		${TEST_OPTIONS} \
		$(shell grep -v '^#' ${word 2, $^}) \
		$< 2>&1 \
	| tee $@
	-@touch $@

${OUTPUT_DIR}/%.diff: ${TEST_DIR}/%${EXT}
	-@printf "%-30s " "$*:" ; \
	./$(shell echo $* | sed -e 's/_[0-9]*$$//') \
		${TEST_OPTIONS} \
		$<  2>&1 \
	| diff ${OUTPUT_DIR}/$*.out - > $@ ; \
	if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

${OUTPUT_DIR}/%.out: ${TEST_DIR}/%${EXT}
	-@test -f $@ || echo "$@:"
	-@test -f $@ || \
	./$(shell echo $* | sed -e 's/_[0-9]*$$//') \
		${TEST_OPTIONS} \
		$< 2>&1 \
	| tee $@
	-@touch $@

${TST_OUT_DIR}/%.out: ${TST_EXE_DIR}/%
	-@test -f $@ || echo "$@:"
	-@test -f $@ || $< 2>&1 | tee $@
	-@touch $@

${TST_OUT_DIR}/%.diff: ${TST_EXE_DIR}/%
	-@printf "%-30s " "$*:" ; \
	./$< 2>&1 | diff ${TST_OUT_DIR}/$*.out - > $@ ; \
	if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

.PHONY: shoutputs shout shtests shtest

${SHELL_DIFFS}: ${EXE_FILES}

shoutputs shout: ${SHELL_OUTPUTS}

shtest shtests: ${SHELL_DIFFS}

${SHELL_OUTDIR}/%.out: ${SHELL_TSTDIR}/%.sh ${TARGET}
	-@test -f $@ || echo "$@:"
	-@test -f $@ || $< ./${TARGET} 2>&1 | tee $@
	-@touch $@

${SHELL_OUTDIR}/%.diff: ${SHELL_TSTDIR}/%.sh ${TARGET}
	-@printf "%-30s " "$*:" ; \
	$< ./${TARGET} 2>&1 | diff ${SHELL_OUTDIR}/$*.out - > $@ ; \
	if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

.PHONY: tests alltests

tests alltests: test shtests

.PHONY: listdiff

listdiff: # test
	@find ${OUTPUT_DIR} ${TST_OUT_DIR} ${SHELL_OUTDIR} -name '*.diff' -size +0 \
	| sort -u | xargs --no-run-if-empty ls -l

#------------------------------------------------------------------------------

.PHONY: benchmark benchmarks bench

BENCH_DIR    = ./benchmarks
ARCH_TYPE    = ${shell uname -m}
BENCH_FILE   = ${BENCH_DIR}/times-${ARCH_TYPE}.dat
SIZE_FILE    = ${BENCH_DIR}/sizes-${ARCH_TYPE}.dat
BENCH_INPUTS = ${wildcard ${BENCH_DIR}/*${EXT}}

benchmarks benchmark bench: ${BENCH_FILE} ${SIZE_FILE}

${BENCH_FILE}: ${TARGET} ${BENCH_INPUTS}
	date | tee $@
	uname -srm | tee -a $@
	if [ -f /proc/cpuinfo ]; then \
	awk -F: '/^model name/{print $$2}' /proc/cpuinfo \
		| sed -e 's/^ *//g; s/ *$$//g' \
		| tee -a $@; \
	fi
	${CCVER} --version | head -n 1 | tee -a $@
	for i in ${BENCH_DIR}/*${EXT}; \
	do \
	    printf "%-20s " `basename $$i` ; \
	    printf "%s %-11s " \
	        `bash -c "time ./$< ${TEST_OPTIONS} $$i > /dev/null" 2>&1` \
		| awk '{print $$1, $$2}' ; \
	done | tee -a $@

${SIZE_FILE}: ${TARGET} ${BENCH_INPUTS}
	date | tee $@
	uname -srm | tee -a $@
	${CCVER} --version | head -n 1 | tee -a $@
	for i in ${BENCH_DIR}/*${EXT}; \
	do \
	    printf "%-20s " `basename $$i` ; \
	    printf "%4d\n" `./$< ${SIZE_OPTIONS} $$i 2> /dev/null | wc -l` ; \
	done | tee -a $@

#------------------------------------------------------------------------------

INCLUDE_DIR ?= ${PREFIX}/include
LIB_DIR     ?= ${PREFIX}/lib

.PHONY: install

install: ${LOCAL_LIB}
	mkdir -p ${INCLUDE_DIR}
	mkdir -p ${LIB_DIR}
	cp *.h ${INCLUDE_DIR}
	cp ${LOCAL_LIB} ${LIB_DIR}

#------------------------------------------------------------------------------

clean:
	rm -f *~
	rm -f ${DEL_OBJS} ${FLEXOBJ} ${YYOBJ}

=== src/externals/cexceptions/Makefile ===
#---*- Makefile -*-------------------------------------------------------------
#$Author: andrius $
#$Revision: 4775 $
#$Date: 2016-11-17 10:45:18 +0200 (Thu, 17 Nov 2016) $
#$URL: svn://www.crystallography.net/cod-tools/tags/v2.1/src/externals/cexceptions/Makefile $
#------------------------------------------------------------------------------

MAKECONF_FILES = $(sort \
	$(filter-out %.example, $(filter-out %~, $(wildcard Makeconf*))) \
	$(patsubst %.example, %, $(wildcard Makeconf*.example)))

ifneq ("${MAKECONF_FILES}","")
include ${MAKECONF_FILES}
endif

#------------------------------------------------------------------------------
# The following variables, assigned with the '?=' assignment, can be
# overriden in Makeconfig* files:

SO_MAJOR ?= 0
SO_MINOR ?= 01

SO_VERSION ?= ${SO_MAJOR}.${SO_MINOR}

#------------------------------------------------------------------------------

PWD         ?= ${shell pwd}
PACKAGE     ?= ${notdir ${PWD}}
LIBNAME     ?= ${addprefix lib, ${PACKAGE}}

DATE        ?= ${shell date +%Y.%m.%d}
PREFIX      ?= ${HOME}/install/${PACKAGE}/${PACKAGE}-${SO_VERSION}-${DATE}
INCLUDE_DIR ?= ${PREFIX}/include
LIB_DIR     ?= ${PREFIX}/lib

#------------------------------------------------------------------------------

## EXTRA_INC_DIRS = ${HOME}/include
## EXTRA_LIB_DIRS = ${HOME}/lib

EXTRA_INC_DIRS ?= ../cexceptions
EXTRA_LIB_DIRS ?= ../cexceptions/lib

EXTRA_INC_CFLAGS  ?= ${addprefix -I, ${EXTRA_INC_DIRS}}
EXTRA_LIB_LDFLAGS ?= ${addprefix -L, ${EXTRA_LIB_DIRS}}

# End of Makeconfig variables.
#------------------------------------------------------------------------------

OBJ_DIR = obj

LIB_PRG = ${wildcard programs/*.c}
LIB_SRC = ${wildcard *.c}
LIB_OBJ = ${LIB_SRC:%.c=${OBJ_DIR}/%.o}
LIB_DEP = ${LIB_PRG:programs/%.c=programs/.%.d} \
          ${LIB_SRC:%.c=.%.d} 

TEST_PRG = ${wildcard tests/programs/*.c}
TEST_SRC = ${wildcard tests/*.c}
TEST_OBJ = ${TEST_SRC:tests/%.c=${OBJ_DIR}/%.o}
TEST_DEP = ${TEST_PRG:tests/programs/%.c=tests/programs/.%.d} \
           ${TEST_SRC:tests/%.c=tests/.%.d}
TEST_DIF = ${TEST_PRG:tests/programs/%.c=outputs/%.diff}

DEPEND = ${LIB_DEP} ${TEST_DEP}

LIBS  = lib/${LIBNAME}.a lib/${LIBNAME}.so.${SO_VERSION}
PROGS = ${LIB_PRG:programs/%.c=bin/%} \
        ${TEST_PRG:tests/programs/%.c=bin/%}

TARGETS = ${LIBS} ${PROGS}

CFLAGS  = -g -Wall -I. -I./tests ${EXTRA_INC_CFLAGS} -fPIC
LFLAGS  = -lm -lcexceptions
LDFLAGS =  ${EXTRA_LIB_LDFLAGS}

#------------------------------------------------------------------------------

.PHONY: all install test tests check clean cleanAll distclean

.PRECIOUS: ${OBJ_DIR}/%.o

#------------------------------------------------------------------------------

all: ${TARGETS}

# The 'Makeconfig' file will be produced automatically if it is absent
# from the 'Makeconfig.example' in the repository, and is ment to be
# edited by hand to suite the local build environment. When the
# 'Makeconfig.example' is changed, the rule below will attempt to
# transfer the changes to the edited 'Makeconfig' file with the help
# of the 'patch' command. It assumes that the 'Makeconfig.example' is
# maintained using Subversion; for other version control systems the
# rule will have to be changed:

Makeconfig: Makeconfig.example
	if [ -f $@ ]; then \
		cp $@ $@~; \
		svn diff -c$$(svnversion|sed 's/[^0-9]//g') $< \
		| patch -p0 $@; \
		touch $@; \
	else \
		cp -v $< $@; \
	fi

MAKELOCAL_FILES = ${filter-out %~, ${wildcard Makelocal*}}

ifneq ("${MAKELOCAL_FILES}","")
include ${MAKELOCAL_FILES}
endif

include ${DEPEND}

#------------------------------------------------------------------------------

${OBJ_DIR}/%.o: %.c
	${CC} ${CFLAGS} -c $< -o $@

${OBJ_DIR}/%.o: tests/%.c
	${CC} ${CFLAGS} -c $< -o $@

bin/%: programs/%.c ${filter %.a, ${LIBS}}
	${CC} ${CFLAGS} ${LDFLAGS} $^ -o $@ ${LFLAGS}

bin/%: tests/programs/%.c ${TEST_OBJ} ${filter %.a, ${LIBS}}
	${CC} ${CFLAGS} ${LDFLAGS} $^ -o $@ ${LFLAGS}

lib/%.a: ${LIB_OBJ}
	${AR} cr $@ $^

lib/%.so.${SO_VERSION}: ${LIB_OBJ}
	${CC} -shared -Xlinker -soname=$*.so.${SO_MAJOR} -o $@ $^

.%.d: %.c
	${CC} ${CFLAGS} -M -MG  $< > $@

#------------------------------------------------------------------------------

check test tests: ${TEST_DIF}

outputs/%.diff: bin/% outputs/%.out
	-@printf "%-30s " "$*:" ; \
	./$< 2>&1 | diff outputs/$*.out - > $@; \
	if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

.PHONY: listdiff

listdiff:
	@find outputs -name '*.diff' -size +0 \
	| sort -u | xargs --no-run-if-empty ls -l

#------------------------------------------------------------------------------

install: ${LIBS}
	mkdir -p ${INCLUDE_DIR}
	mkdir -p ${LIB_DIR}
	cp *.h ${INCLUDE_DIR}
	cp ${LIBS} ${LIB_DIR}
	ln -fs ${LIBNAME}.so.${SO_VERSION} ${LIB_DIR}/${LIBNAME}.so.${SO_MAJOR}
	ln -fs ${LIBNAME}.so.${SO_MAJOR}   ${LIB_DIR}/${LIBNAME}.so

#------------------------------------------------------------------------------

clean:
	rm -f *~
	rm -f ${LIB_OBJ}
	rm -f ${TEST_OBJ}

distclean cleanAll: clean
	rm -f ${TARGETS}
	rm -f ${DEPEND}
	rm -f ${TEST_DIF}

=== src/externals/getoptions/Makefile ===
#---*- Makefile -*-------------------------------------------------------------
#$Author: andrius $
#$Revision: 4775 $
#$Date: 2016-11-17 10:45:18 +0200 (Thu, 17 Nov 2016) $
#$URL: svn://www.crystallography.net/cod-tools/tags/v2.1/src/externals/getoptions/Makefile $
#------------------------------------------------------------------------------

MAKECONF_FILES = $(sort \
	$(filter-out %.example, $(filter-out %~, $(wildcard Makeconf*))) \
	$(patsubst %.example, %, $(wildcard Makeconf*.example)))

ifneq ("${MAKECONF_FILES}","")
include ${MAKECONF_FILES}
endif

#------------------------------------------------------------------------------
# The following variables, assigned with the '?=' assignment, can be
# overriden in Makeconfig* files:

SO_MAJOR ?= 0
SO_MINOR ?= 01

SO_VERSION ?= ${SO_MAJOR}.${SO_MINOR}

#------------------------------------------------------------------------------

PWD         ?= ${shell pwd}
PACKAGE     ?= ${notdir ${PWD}}
LIBNAME     ?= ${addprefix lib, ${PACKAGE}}

DATE        ?= ${shell date +%Y.%m.%d}
PREFIX      ?= ${HOME}/install/${PACKAGE}/${PACKAGE}-${SO_VERSION}-${DATE}
INCLUDE_DIR ?= ${PREFIX}/include
LIB_DIR     ?= ${PREFIX}/lib

#------------------------------------------------------------------------------

## EXTRA_INC_DIRS = ${HOME}/include
## EXTRA_LIB_DIRS = ${HOME}/lib

EXTRA_INC_DIRS ?= ../cexceptions
EXTRA_LIB_DIRS ?= ../cexceptions/lib

EXTRA_INC_CFLAGS  ?= ${addprefix -I, ${EXTRA_INC_DIRS}}
EXTRA_LIB_LDFLAGS ?= ${addprefix -L, ${EXTRA_LIB_DIRS}}

# End of Makeconfig variables.
#------------------------------------------------------------------------------

OBJ_DIR = obj

LIB_PRG = ${wildcard programs/*.c}
LIB_SRC = ${wildcard *.c}
LIB_OBJ = ${LIB_SRC:%.c=${OBJ_DIR}/%.o}
LIB_DEP = ${LIB_PRG:programs/%.c=programs/.%.d} \
          ${LIB_SRC:%.c=.%.d} 

TEST_PRG = ${wildcard tests/programs/*.c}
TEST_SRC = ${wildcard tests/*.c}
TEST_OBJ = ${TEST_SRC:tests/%.c=${OBJ_DIR}/%.o}
TEST_DEP = ${TEST_PRG:tests/programs/%.c=tests/programs/.%.d} \
           ${TEST_SRC:tests/%.c=tests/.%.d}

# Individual test cases:

TEST_CASE_DIR ?= tests
TEST_OUTP_DIR ?= outputs

## TEST_DIF = ${TEST_PRG:tests/programs/%.c=${TEST_OUTP_DIR}/%.diff}

TEST_CASES = $(wildcard ${TEST_CASE_DIR}/*.sh)
TEST_DIFFS = ${TEST_CASES:${TEST_CASE_DIR}/%.sh=${TEST_OUTP_DIR}/%.diff}
TEST_OUTPS = ${TEST_CASES:${TEST_CASE_DIR}/%.sh=${TEST_OUTP_DIR}/%.out}

DEPEND = ${LIB_DEP} ${TEST_DEP}

LIBS  = lib/${LIBNAME}.a lib/${LIBNAME}.so.${SO_VERSION}
PROGS = ${LIB_PRG:programs/%.c=bin/%} \
        ${TEST_PRG:tests/programs/%.c=tests/bin/%}

TARGETS = ${LIBS} ${PROGS}

CFLAGS  = -g -Wall -I. ${EXTRA_INC_CFLAGS} -fPIC
LFLAGS  = -lm -lcexceptions
LDFLAGS =  ${EXTRA_LIB_LDFLAGS}

#------------------------------------------------------------------------------

.PHONY: all install test tests check out output outputs
.PHONY: clean cleanAll distclean

.PRECIOUS: ${OBJ_DIR}/%.o

#------------------------------------------------------------------------------

all: ${TARGETS}

# The 'Makeconfig' file will be produced automatically if it is absent
# from the 'Makeconfig.example' in the repository, and is ment to be
# edited by hand to suite the local build environment. When the
# 'Makeconfig.example' is changed, the rule below will attempt to
# transfer the changes to the edited 'Makeconfig' file with the help
# of the 'patch' command. It assumes that the 'Makeconfig.example' is
# maintained using Subversion; for other version control systems the
# rule will have to be changed:

Makeconfig: Makeconfig.example
	if [ -f $@ ]; then \
		cp $@ $@~; \
		svn diff -c$$(svnversion|sed 's/[^0-9]//g') $< \
		| patch -p0 $@; \
		touch $@; \
	else \
		cp -v $< $@; \
	fi

MAKELOCAL_FILES = ${filter-out %~, ${wildcard Makelocal*}}

ifneq ("${MAKELOCAL_FILES}","")
include ${MAKELOCAL_FILES}
endif

include ${DEPEND}

#------------------------------------------------------------------------------
# Generate %.diff file dependencies from their respcetive scripts:

include .diff.depend

ALL_INPUTS = ${TEST_CASES}

.diff.depend: ${ALL_INPUTS}
	@perl -l \
		-e 'for (@ARGV) {' \
		-e '    if ( m|/(.*?)_(\d{2,4})\.\w{1,3}$$| ) {' \
		-e '        print "${TEST_OUTP_DIR}/" . $$1 . "_" . $$2 . ".diff: "' \
		-e '            . "tests/bin/" . $$1 ' \
		-e '    }' \
		-e '}' \
	$^ \
	| sort | uniq \
	> $@

#------------------------------------------------------------------------------

${OBJ_DIR}/%.o: %.c
	${CC} ${CFLAGS} -c $< -o $@

${OBJ_DIR}/%.o: tests/%.c
	${CC} ${CFLAGS} -c $< -o $@

bin/%: programs/%.c ${filter %.a, ${LIBS}}
	${CC} ${CFLAGS} ${LDFLAGS} $^ -o $@ ${LFLAGS}

tests/bin/%: tests/programs/%.c ${TEST_OBJ} ${filter %.a, ${LIBS}}
	${CC} ${CFLAGS} ${LDFLAGS} $^ -o $@ ${LFLAGS}

lib/%.a: ${LIB_OBJ}
	${AR} cr $@ $^

lib/%.so.${SO_VERSION}: ${LIB_OBJ}
	${CC} -shared -Xlinker -soname=$*.so.${SO_MAJOR} -o $@ $^

.%.d: %.c
	${CC} ${CFLAGS} -M -MG  $< > $@

#------------------------------------------------------------------------------

check test tests: ${TEST_DIFFS}

out output outputs: ${TEST_OUTPS}

${TEST_OUTP_DIR}/%.diff: ${TEST_CASE_DIR}/%.sh ${TEST_OUTP_DIR}/%.out
	-@printf "%-30s " "$*:" ; \
	./$< 2>&1 | diff outputs/$*.out - > $@; \
	if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

${TEST_OUTP_DIR}/%.out: ${TEST_CASE_DIR}/%.sh
	@test -f $@ || ./$< 2>&1 | tee $@
	@test -f $@ && touch $@

listdiff:
	@find ${TEST_OUTP_DIR} -name '*.diff' -size +0 \
	| sort -u | xargs --no-run-if-empty ls -l

#------------------------------------------------------------------------------

install: ${LIBS}
	mkdir -p ${INCLUDE_DIR}
	mkdir -p ${LIB_DIR}
	cp *.h ${INCLUDE_DIR}
	cp ${LIBS} ${LIB_DIR}
	ln -fs ${LIBNAME}.so.${SO_VERSION} ${LIB_DIR}/${LIBNAME}.so.${SO_MAJOR}
	ln -fs ${LIBNAME}.so.${SO_MAJOR}   ${LIB_DIR}/${LIBNAME}.so

#------------------------------------------------------------------------------

clean:
	rm -f ${TEST_DIFFS}
	rm -f *~
	rm -f .diff.depend
	rm -f ${LIB_OBJ}
	rm -f ${TEST_OBJ}

distclean cleanAll: clean
	rm -f ${TARGETS}
	rm -f ${DEPEND}

=== debian/changelog ===
cod-tools (2.1+dfsg-1) unstable; urgency=low

  * Initial upload (Closes: #864355).

  * New upstream release.
  * Removing patches or part of them that have been incorporated in the
    upstream.
  * Repackaging the source to comply with the DFSG.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 05 Mar 2018 13:18:40 +0200

cod-tools (2.0-2) UNRELEASED; urgency=low

  * debian/copyright: listing CIFTEST_2.1, spglib and phonopy.
  * debian/copyright: adding Files-Excluded stanza to exclude non-DFSG-free
    files.
  * debian/cod-tools.install: adding missing essential scripts.
  * debian/control: adding missing dependency on 'libparse-yapp-perl' for
    'libcod-cif-parser-yapp-perl'.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 15 Dec 2017 09:51:00 +0200

cod-tools (2.0-1) unstable; urgency=low

  * Initial release.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 26 Sep 2017 09:40:00 +0300

=== debian/control ===
Source: cod-tools
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andrius Merkys <andrius.merkys@gmail.com>
Build-Depends: autoconf, bison, debhelper (>= 9.0.0), dh-python, flex,
 libcarp-assert-perl, libmodule-scandeps-perl, libparse-yapp-perl,
 moreutils, perl, python-dev, swig
Standards-Version: 4.1.0
Section: science
Vcs-Git: https://salsa.debian.org/science-team/cod-tools.git
Vcs-Browser: https://salsa.debian.org/science-team/cod-tools
Homepage: http://wiki.crystallography.net/cod-tools

Package: libcexceptions0
Section: libs
Architecture: any
Depends: ${misc:Depends}
Description: C exception handling library
 Wrappers for C functions, allowing usage of try ... catch ... blocks
 in C language. Wrapped functions include memory allocation, standard
 I/O and strdup.

Package: libgetoptions0
Section: libs
Architecture: any
Depends: ${misc:Depends}
Description: Command line argument processing library for C
 C library for processing GNU-like command line options. The library
 uses C the exception handling library and is used for developing
 programs using codcif, an error-correcting Crystallographic Information
 Format (CIF) parser.

Package: codcif
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libcexceptions0, libgetoptions0
Description: error-correcting CIF parser
 Parser for Crystallographic Information Format (CIF) v1.1 and v2.0,
 written in C language. A CIF format file is represented by an array
 of data blocks, where each data block is represented by a CIF struct.

Package: libcod-precision-perl
Section: perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: COD precision handling module for Perl language
 COD::Precision, module for handling precision in Crystallographic
 Information Format (CIF) notation, expressed as standard uncertainties
 in parentheses next to the value.

Package: libcod-usermessage-perl
Section: perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: COD message formatting module for Perl language
 COD::UserMessage, module for formatting error/warning/note messages
 in a style, defined by Crystallography Open Database.
 .
 In short, the format of generated messages is the following:
 <program name>: <location>: <STATUS>, <message body>.

Package: libcod-cif-parser-bison-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends},
 ${misc:Pre-Depends}, libcod-precision-perl, libcod-usermessage-perl
Description: error-correcting CIF parser - Perl bindings
 COD::CIF::Parser::Bison, Perl bindings for Crystallographic
 Information Format (CIF) v1.1 and v2.0 parser, which is written in C
 language, and developed by the Crystallography Open Database. A CIF
 format file is represented by an array of data blocks, where each
 data block is represented by a hash.

Package: libcod-cif-parser-yapp-perl
Section: perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libcod-precision-perl,
 libcod-usermessage-perl, libparse-yapp-perl
Description: error-correcting CIF parser - YAPP implementation
 COD::CIF::Parser::Yapp, YAPP implementation of error-correcting
 Crystallographic Information Format (CIF) v1.1 parser, which
 is developed by the Crystallography Open Database. A CIF format file
 is represented by an array of data blocks, where each data block is
 represented by a hash.

Package: python-pycodcif
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
 ${python:Versions}
Provides: ${python:Provides}
Description: error-correcting CIF parser - Python bindings
 Python bindings for Crystallographic Information Format (CIF) v1.1
 and v2.0 parser, which is written in C language, and developed by the
 Crystallography Open Database. A CIF format file is represented by a
 list of data blocks, where each data block is represented by a
 dictionary.

Package: cod-tools
Architecture: all
Depends: curl, gawk, libcapture-tiny-perl, libcarp-assert-perl,
 libclone-perl, libcod-cif-parser-bison-perl,
 libcod-cif-parser-yapp-perl, libcod-precision-perl,
 libcod-usermessage-perl, libdbd-mysql-perl, libdbd-sqlite3-perl,
 libdbi-perl, libdigest-sha-perl, libhtml-parser-perl, libjson-perl,
 libxml-simple-perl, liblist-moreutils-perl, libwww-curl-perl,
 openbabel, perl, sqlite3, tree, ${perl:Depends}, ${misc:Depends}
Description: tools for manipulating CIF format files
 cod-tools is a set of Perl modules and command line tools for
 manipulating Crystallographic Information Format (CIF) v1.1 and v2.0
 files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

get-orig-source:
	wget http://www.crystallography.net/cod/archives/2017/software/cod-tools/cod-tools-2.1.tar.gz \
		-O cod-tools_2.1.orig.tar.gz

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg$//,pgpsigurlmangle=s%$%.asc%" \
 http://wiki.crystallography.net/cod-tools/download/ \
 http://www.crystallography.net/cod/archives/(?:\d{4})/software/cod-tools/cod-tools-(\d+(?:\.\d+){0,2})\.(?:tbz2|tar\.gz)

## cod-tools 2.2+dfsg

=== src/components/codcif/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #---*- Makefile -*-------------------------------------------------------------
-#$Author: saulius $
-#$Revision: 5246 $
-#$Date: 2017-05-10 20:30:16 +0300 (Wed, 10 May 2017) $
-#$URL: svn://www.crystallography.net/cod-tools/tags/v2.1/src/components/codcif/Makefile $
+#$Author: andrius $
+#$Revision: 6170 $
+#$Date: 2018-04-23 23:28:36 +0300 (Mon, 23 Apr 2018) $
+#$URL: svn://www.crystallography.net/cod-tools/tags/v2.2/src/components/codcif/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = ${filter-out %~, ${wildcard Makeconf*}}
@@ -48,6 +48,14 @@
 PRG_DIRS   = ${dir ${PRG_FILES}}
 PRG_DEPEND = ${join ${PRG_DIRS}, ${PRG_SOURCE:%.c=.%.d}}
 
+# The file that holds version number of the package:
+
+VFILE = .version
+
+VERSION  := $(shell grep -v "^\#" ${VFILE})
+SO_MAJOR := $(shell echo ${VERSION} | cut -d . -f 1)
+SO_MINOR := $(shell echo ${VERSION} | cut -d . -f 2-)
+
 # The header file that holds version number of the package:
 
 VERSION_H = version.h
@@ -71,7 +79,11 @@
 LOCAL_OBJS    = ${LOCAL_CFILES:%.c=${OBJDIR}/%.o} ${wildcard %.lex.o %.tab.o}
 LOCAL_DEPENDS = ${LOCAL_CFILES:%.c=.%.d}
 
-LOCAL_LIB := ${addprefix lib/lib, ${addsuffix .a, ${notdir ${shell pwd}} }}
+PACKAGE := ${notdir ${shell pwd}}
+LIBNAME := ${addprefix lib, ${PACKAGE}}
+
+LOCAL_LIB := ${addprefix lib/, ${addsuffix .a, ${LIBNAME} }}
+LOCAL_SO  := ${addprefix lib/, ${addsuffix .so.${VERSION}, ${LIBNAME} }}
 
 #
 # ./testprogs directory contains test drivers, each of them containing
@@ -126,7 +138,7 @@
 ## LIBFLAGS = ${addprefix -l, ${LIB_NAMES}}
 
 ## LDFLAGS  = -L/usr/local/lib
-## LIBFLAGS = -lm
+LIBFLAGS = -lm
 
 SVN_VERSION := $(shell svnversion)
 
@@ -156,7 +168,7 @@
 
 .PHONY: all lib libs clean distclean cleanAll FORCE
 
-all: ${LOCAL_LIB} ${EXE_FILES} ${TST_DRIVERS}
+all: ${LOCAL_LIB} ${LOCAL_SO} ${EXE_FILES} ${TST_DRIVERS}
 
 lib libs: ${LIB_DIRS}
 
@@ -195,6 +207,9 @@
 
 ${LOCAL_LIB}: ${LOCAL_OBJS} ${YYOBJ} ${FLEXOBJ}
 	ar cr ${LOCAL_LIB} $^
+
+${LOCAL_SO}: ${LOCAL_OBJS} ${YYOBJ} ${FLEXOBJ}
+	${CC} -shared -Xlinker -soname=${LIBNAME}.so.${SO_MAJOR} -o $@ $^
 
 #------------------------------------------------------------------------------
 
@@ -388,24 +403,3 @@
 	for i in ${BENCH_DIR}/*${EXT}; \
 	do \
 	    printf "%-20s " `basename $$i` ; \
-	    printf "%4d\n" `./$< ${SIZE_OPTIONS} $$i 2> /dev/null | wc -l` ; \
-	done | tee -a $@
-
-#------------------------------------------------------------------------------
-
-INCLUDE_DIR ?= ${PREFIX}/include
-LIB_DIR     ?= ${PREFIX}/lib
-
-.PHONY: install
-
-install: ${LOCAL_LIB}
-	mkdir -p ${INCLUDE_DIR}
-	mkdir -p ${LIB_DIR}
-	cp *.h ${INCLUDE_DIR}
-	cp ${LOCAL_LIB} ${LIB_DIR}
-
-#------------------------------------------------------------------------------
-
-clean:
-	rm -f *~
-	rm -f ${DEL_OBJS} ${FLEXOBJ} ${YYOBJ}

=== src/externals/cexceptions/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: andrius $
 #$Revision: 4775 $
 #$Date: 2016-11-17 10:45:18 +0200 (Thu, 17 Nov 2016) $
-#$URL: svn://www.crystallography.net/cod-tools/tags/v2.1/src/externals/cexceptions/Makefile $
+#$URL: svn://www.crystallography.net/cod-tools/tags/v2.2/src/externals/cexceptions/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = $(sort \

=== src/externals/getoptions/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: andrius $
 #$Revision: 4775 $
 #$Date: 2016-11-17 10:45:18 +0200 (Thu, 17 Nov 2016) $
-#$URL: svn://www.crystallography.net/cod-tools/tags/v2.1/src/externals/getoptions/Makefile $
+#$URL: svn://www.crystallography.net/cod-tools/tags/v2.2/src/externals/getoptions/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = $(sort \

=== debian/changelog ===
cod-tools (2.2+dfsg-5) unstable; urgency=medium

  * Skipping one more CI test too sensitive to spglib version.
  * Using pybuild to build Python packages.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 17 Dec 2018 08:37:10 -0500

cod-tools (2.2+dfsg-4) unstable; urgency=medium

  * Skipping CI tests too sensitive to spglib version (Closes: #913455).
  * Package cod-tools depends on libparse-yapp-perl. Currently, it gets this
    dependency from libcod-cif-parser-yapp-perl, but strictly speaking
    cod-tools has to have it in its depends, as some modules use it directly.
  * debian/control: package build-depends on gawk, as it is used in
    after-build tests.
  * Bumping Standards Version to 4.2.1.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 16 Nov 2018 02:05:16 -0500

cod-tools (2.2+dfsg-3) unstable; urgency=medium

  * Renaming target 'override_dh_install' to 'override_dh_install-arch'
    (Closes: #903867).
  * debian/control: adding a pair of missing build-depends.
  * debian/control: autoconf is no longer required, as libsymspg is not
    compiled during build.
  * Adding a patch fixing Python3 compilation errors/warnings of pycodcif.
  * Adding patch descriptions.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 17 Jul 2018 01:17:02 -0400

cod-tools (2.2+dfsg-2) unstable; urgency=medium

  * debian/control: adding missing dependencies (Closes: #903666).
  * debian/control: putting test dependencies into build dependencies, as
    tests are run during the build process (Closes: #903689).
  * debian/control: placing dependencies one per line.
  * debian/tests/upstream: bypassing locale-dependent tests.
  * debian/tests/upstream: fixing incorrect test path.
  * Moving templates of *.install and *.links files to debian/template/;
    preparing the build system to clean after the build.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 13 Jul 2018 02:51:52 -0400

cod-tools (2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2 (Closes: #900458)
  * Splitting off libdevel packages from libcexceptions0 and libgetoptions0.
  * debian/libcexceptions0.install: libcexceptions.so.* is not properly
    installed by the build system.
  * Installing missing shlib symlinks for libcexceptions0 and libgetoptions0.
  * Package 'tree' is a build dependency (more a test dependency), not a real
    dependency of cod-tools package.
  * Dropping the dependency on 'sqlite3'.
  * debian/control: adding missing ${shlibs:Depends} for libgetoptions0.
  * debian/watch: using more stable location for uscan'ing at
    http://wiki.crystallography.net/cod-tools/.
  * debian/copyright: updating Files-Excluded stanza.
  * Removing integrated patches:
    - cif_split_primitive-tests.diff
    - create-empty-dirs.diff
    - tidy-yy.diff
    - prefix-to-destdir.diff
  * Updating patches:
    - codcif-svnversion.diff
    - hardening.diff
    - distclean-tmp.diff
  * Removing unneeded lintian overrides.
  * Removing overridden Section from cod-tools package entry in debian/control.
  * Fixing hardening of libcod-cif-parser-bison-perl and python-pycodcif.
  * Renaming patch relro.diff to hardening.diff.
  * Making uscan check the upstream's GPG signature.
  * Moving debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Replacing priority 'extra' via 'optional'.
  * Bumping debian/compat to 11.
  * Splitting codcif package into libcodcif2 and libcodcif-dev, placing
    executable libraries to cod-tools.
  * Adding patch descriptions.
  * Enhancing package descriptions.
  * Installing all static libraries to multiarch directory.
  * debian/control: moving ${python:Versions} to XB-Python-Version
    (Closes: #901997).
  * Adding debian/upstream/metadata.
  * Adding python3-pycodcif package.
  * debian/copyright: spglib is no longer shipped together with cod-tools
    Debian tarball.
  * Installing all scripts (except cif_parse_old_star and cif_printout_Python)
    and Perl modules of cod-tools.
  * debian/cod-tools.install: installing SPGLib.pm and its shared object.
  * Adding an autopkgtest.
  * debian/rules: adding '--no-parallel' option for 'dh' as the package is not
    ready for parallel build.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 02 Jul 2018 13:12:45 -0400

=== debian/control ===
Source: cod-tools
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andrius Merkys <andrius.merkys@gmail.com>
Build-Depends: bison,
               debhelper (>= 11),
               dh-python,
               flex,
               gawk,
               libcapture-tiny-perl,
               libcarp-assert-perl,
               libchemistry-openbabel-perl,
               libclone-perl,
               libdate-calc-perl,
               libdatetime-format-rfc3339-perl,
               libdbd-mysql-perl,
               libdbd-sqlite3-perl,
               libdbi-perl,
               libdigest-sha-perl,
               libhtml-parser-perl,
               libjson-perl,
               liblist-moreutils-perl,
               libmodule-scandeps-perl,
               libparse-yapp-perl,
               libsymspg-dev,
               libwww-curl-perl,
               libxml-simple-perl,
               moreutils,
               perl,
               python3-all-dev,
               python-dev,
               python-setuptools,
               python3-dev,
               python3-setuptools,
               swig,
               tree
Standards-Version: 4.2.1
Section: science
Vcs-Git: https://salsa.debian.org/science-team/cod-tools.git
Vcs-Browser: https://salsa.debian.org/science-team/cod-tools
Homepage: http://wiki.crystallography.net/cod-tools

Package: libcexceptions0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C exception handling library
 Wrappers for C functions, allowing usage of try ... catch ... blocks
 in C language. Wrapped functions include memory allocation, standard
 I/O and strdup.

Package: libcexceptions-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libcexceptions0 (= ${binary:Version})
Description: C exception handling library (development files)
 Wrappers for C functions, allowing usage of try ... catch ... blocks
 in C language. Wrapped functions include memory allocation, standard
 I/O and strdup.
 .
 This package contains static library and header files.

Package: libgetoptions0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcexceptions0 (>= ${binary:Version})
Description: Command line argument processing library for C
 C library for processing GNU-like command line options. The library
 uses C the exception handling library and is used for developing
 programs using codcif, an error-correcting Crystallographic Information
 Format (CIF) parser.

Package: libgetoptions-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgetoptions0 (= ${binary:Version})
Description: Command line argument processing library for C (development files)
 C library for processing GNU-like command line options. The library
 uses C the exception handling library and is used for developing
 programs using codcif, an error-correcting Crystallographic Information
 Format (CIF) parser.
 .
 This package contains static library and header files.

Package: libcodcif2
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libcexceptions0 (>= ${binary:Version})
Description: error-correcting CIF parser - shared library
 Parser for Crystallographic Information Format (CIF) v1.1 and v2.0,
 written in C language. A CIF format file is represented by an array
 of data blocks, where each data block is represented by a CIF struct.

Package: libcodcif-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libcodcif2 (= ${binary:Version})
Description: error-correcting CIF parser - headers and static libraries
 Parser for Crystallographic Information Format (CIF) v1.1 and v2.0,
 written in C language. A CIF format file is represented by an array
 of data blocks, where each data block is represented by a CIF struct.

Package: libcod-precision-perl
Section: perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Description: COD precision handling module for Perl language
 COD::Precision, module for handling precision in Crystallographic
 Information Format (CIF) notation, expressed as standard uncertainties
 in parentheses next to the value.

Package: libcod-usermessage-perl
Section: perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Description: COD message formatting module for Perl language
 COD::UserMessage, module for formatting error/warning/note messages
 in a style, defined by Crystallography Open Database.
 .
 In short, the format of generated messages is the following:
 <program name>: <location>: <STATUS>, <message body>.

Package: libcod-cif-parser-bison-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends},
         ${perl:Depends},
         ${misc:Depends},
         ${misc:Pre-Depends},
         libcod-precision-perl,
         libcod-usermessage-perl
Description: error-correcting CIF parser - Perl bindings
 COD::CIF::Parser::Bison, Perl bindings for Crystallographic
 Information Format (CIF) v1.1 and v2.0 parser, which is written in C
 language, and developed by the Crystallography Open Database. A CIF
 format file is represented by an array of data blocks, where each
 data block is represented by a hash.

Package: libcod-cif-parser-yapp-perl
Section: perl
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         libcod-precision-perl,
         libcod-usermessage-perl,
         libparse-yapp-perl
Description: error-correcting CIF parser - pure Perl implementation
 COD::CIF::Parser::Yapp, YAPP implementation of error-correcting
 Crystallographic Information Format (CIF) v1.1 parser, which
 is developed by the Crystallography Open Database. A CIF format file
 is represented by an array of data blocks, where each data block is
 represented by a hash.

Package: python-pycodcif
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: error-correcting CIF parser - Python bindings
 Python bindings for Crystallographic Information Format (CIF) v1.1
 and v2.0 parser, which is written in C language, and developed by the
 Crystallography Open Database. A CIF format file is represented by a
 list of data blocks, where each data block is represented by a
 dictionary.

Package: python3-pycodcif
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
XB-Python-Version: ${python3:Versions}
Provides: ${python3:Provides}
Description: error-correcting CIF parser - Python3 bindings
 Python bindings for Crystallographic Information Format (CIF) v1.1
 and v2.0 parser, which is written in C language, and developed by the
 Crystallography Open Database. A CIF format file is represented by a
 list of data blocks, where each data block is represented by a
 dictionary.

Package: cod-tools
Architecture: any
Depends: curl,
         gawk,
         libcapture-tiny-perl,
         libcarp-assert-perl,
         libclone-perl,
         libcod-cif-parser-bison-perl,
         libcod-cif-parser-yapp-perl,
         libcod-precision-perl,
         libcod-usermessage-perl,
         libdate-calc-perl,
         libdatetime-format-rfc3339-perl,
         libdbd-mysql-perl,
         libdbd-sqlite3-perl,
         libdbi-perl,
         libdigest-sha-perl,
         libhtml-parser-perl,
         libjson-perl,
         liblist-moreutils-perl,
         libparse-yapp-perl,
         libwww-curl-perl,
         libxml-simple-perl,
         openbabel,
         perl,
         ${perl:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: tools for manipulating CIF format files
 cod-tools is a set of Perl modules and command line tools for
 manipulating Crystallographic Information Format (CIF) v1.1 and v2.0
 files.

=== debian/tests/control ===
Tests: upstream
Depends: @, diffutils, findutils, libchemistry-openbabel-perl, perl,
 rsync, tree
Restrictions: allow-stderr
